--- a/rocAL/source/readers/video/video_properties.cpp	2024-11-15 21:55:44.000000000 +0200
+++ b/rocAL/source/readers/video/video_properties.cpp	2025-01-21 10:56:27.978076192 +0200
@@ -55,14 +55,24 @@
     ret = avformat_find_stream_info(pFormatCtx, NULL);
     assert(ret >= 0);
     for (i = 0; i < pFormatCtx->nb_streams; i++) {
+#if LIBAVCODEC_VERSION_MAJOR >= 59
+        if (pFormatCtx->streams[i]->codecpar->codec_type == AVMEDIA_TYPE_VIDEO && videoStream < 0) {
+#else
         if (pFormatCtx->streams[i]->codec->codec_type == AVMEDIA_TYPE_VIDEO && videoStream < 0) {
+#endif
             videoStream = i;
         }
     }
     assert(videoStream != -1);
 
     // Get a pointer to the codec context for the video stream
+#if LIBAVCODEC_VERSION_MAJOR >= 59
+    const AVCodec *streamcodec = avcodec_find_decoder(pFormatCtx->streams[videoStream]->codecpar->codec_id);
+    pCodecCtx = avcodec_alloc_context3(streamcodec);
+    avcodec_parameters_to_context(pCodecCtx, pFormatCtx->streams[videoStream]->codecpar);
+#else
     pCodecCtx = pFormatCtx->streams[videoStream]->codec;
+#endif
     assert(pCodecCtx != NULL);
     props.width = pCodecCtx->width;
     props.height = pCodecCtx->height;
